For the complete documentation index, see llms.txt. This page is also available as Markdown.

List website redirects

Returns a paginated list of redirects configured for the selected website.

List website redirects

get

Returns a paginated list of redirects configured for the selected website.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
domainstringRequired

Domain name

Example: mydomain.tld
Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Number of items per page

Default: 25Example: 25
Responses
200

Success response

application/json
get/api/hosting/v1/accounts/{username}/websites/{domain}/redirects
GET /api/hosting/v1/accounts/{username}/websites/{domain}/redirects HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "from": "https://example.com/old-page",
      "to": "https://example.com/new-page"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?